Offboard all VTXOs
curl --request POST \
--url https://api.example.com/api/v1/wallet/offboard/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/wallet/offboard/all"
payload = { "address": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>'})
};
fetch('https://api.example.com/api/v1/wallet/offboard/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offboard_txid": "<string>"
}{
"message": "<string>"
}wallet
Offboard all VTXOs
Cooperatively moves all spendable VTXOs off the Ark protocol to an on-chain address. Each VTXO is offboarded in full—partial amounts are not supported. The on-chain transaction fee is deducted from the total, and the remaining amount is sent to the destination. If no address is specified, the wallet generates a new on-chain address. To send a specific amount on-chain, use send-onchain instead.
POST
/
api
/
v1
/
wallet
/
offboard
/
all
Offboard all VTXOs
Authorizations
Base64url-encoded auth token
Body
application/json
Optional Bitcoin address to send to. If not provided, uses the onchain wallet's address
Response
Returns the offboard transaction id
The transaction id of the offboard transaction
Was this page helpful?
⌘I